httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Yann Ylavic <ylavic....@gmail.com>
Subject mod_proxy's forced module_selection=most? (Was: --enable-mods-shared don't work)
Date Fri, 30 Dec 2016 17:02:51 GMT
On Fri, Dec 30, 2016 at 5:16 PM, Yann Ylavic <ylavic.dev@gmail.com>
>>
>> How would the attached patch work for you?
>
> I mean with --enable-modules=none and then your exhaustive
> --enable-mods-shared/static list.

Any reason why we need to force the "most" selection for proxy modules?
This is already the default module_selection, and if --enable-modules
is used (with the admin supposed to know what [s]he does), it'll
break...

Also it seems that we force module_default to the value of
--enable-proxy (when "shared" or "static"), though I see no reason to
force "static".
Forcing "shared" is probably relevant if we don't want proxy
submodules to be loaded statically with mod_proxy itself being
dynamic, but one may want a static mod_proxy with dynamic mod_proxy_*
(at least it doesn't break).

Regards,
Yann.

Mime
View raw message